%define upstream_name    Array-Iterator
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A subclass of Array::Iterator to allow forwards and backwards iteration
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Array/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Exception)
BuildArch: noarch

%description
This class provides a very simple iterator interface. It is is
uni-directional and can only be used once. It provides no means of
reverseing or reseting the iterator. It is not recommended to alter the
array during iteration, however no attempt is made to enforce this
(although I will if I can find an efficient means of doing so). This class
only intends to provide a clear and simple means of generic iteration,
nothing more (yet).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog

* Sat Nov 05 2011 kharec <kharec> 0.70.0-1.mga2
+ Revision: 163161
- Add BR on Test::Exception
- imported package perl-Array-Iterator

